#version 330

uniform sampler2D colorTexture;

in vec3 fragmentNormal;
in vec2 fragmentUV;
in vec4 fragmentPosition;

out vec4 fragDiffuseColor;
out vec4 fragPosition;
out vec4 fragNormal;

void main(void)
{
	fragDiffuseColor = texture(colorTexture, fragmentUV);
	fragPosition = fragmentPosition;
	fragNormal = vec4(normalize(fragmentNormal), 1.f);
}
